Subject: Re: bug#65110: eshell variable triggers error

From: Jim Porter <[email-masked]>
Date: Mon, 7 Aug 2023 19:41:35 -0700

On 8/6/2023 1:44 PM, Jim Porter wrote:
> Happily, this issue *wasn't* a bug in the I/O refcounting code. The 
> failed assertion (which is new in Emacs 30 and exists for exactly this 
> reason) just revealed a bug in another part of Eshell. Fix attached 
> (plus fixing another issue mentioned in the code comments) with some 
> regression tests.
> 
> Let me know if this works for you, or if you see any further issues.

After discussing this off-list, this looks good (thanks for testing!). 
Merged to master as 301e6a747ac, and closing this now.